curl --request POST \
--url https://api.partoo.co/v2/reviews/template \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"language": "fr",
"negative": true,
"neutral": true,
"positive": true,
"text": "hello @[](client_full_name),\nThanks from the team at @[](business_name).\n@[](my_first_name)",
"title": "<string>"
}
'import requests
url = "https://api.partoo.co/v2/reviews/template"
payload = {
"language": "fr",
"negative": True,
"neutral": True,
"positive": True,
"text": "hello @[](client_full_name),
Thanks from the team at @[](business_name).
@[](my_first_name)",
"title": "<string>"
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
language: 'fr',
negative: true,
neutral: true,
positive: true,
text: 'hello @[](client_full_name),\nThanks from the team at @[](business_name).\n@[](my_first_name)',
title: '<string>'
})
};
fetch('https://api.partoo.co/v2/reviews/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 34,
"org_id": 42,
"update_date": "2017-08-01T19:15:54.256000+02:00",
"creation_date": "2017-08-01T19:15:54.256000+02:00",
"language": "fr",
"title": "<string>",
"text": "hello @[](client_full_name),\nThanks from the team at @[](business_name).\n@[](my_first_name)",
"negative": true,
"neutral": true,
"positive": true
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Create a review reply template
This endpoint lets you create a review reply template.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Body
Request body to post/edit a reply
Template language
fr, en, es, it, pt-br, de, ar, nl, pl, cs, ca, sk, pt, lv, ro, bg, hu "fr"
Template is made for negative reviews (ex from 1 to 2 stars on gmb)
Template is made for neutral reviews (ex 3 stars on gmb)
Template is made for positive reviews (ex from 4 to 5 stars on gmb)
The content of the reply template.
Placeholders are recognisable within the text by this exact markup @[](name_of_the_placeholder).
Where name_of_the_placeholder is the value field taken from the GET placeholders operation.
Example of usable placeholder values: client_full_name, client_first_name, business_name, my_first_name.
"hello @[](client_full_name),\nThanks from the team at @[](business_name).\n@[](my_first_name)"
Template title
Response
OK
Review's reply template
Template id
34
Unique identifier of an organization in Partoo.
42
Template update date
"2017-08-01T19:15:54.256000+02:00"
Template creation date
"2017-08-01T19:15:54.256000+02:00"
Template language
fr, en, es, it, pt-br, de, ar, nl, pl, cs, ca, sk, pt, lv, ro, bg, hu "fr"
Template title
The content of the reply template.
Placeholders are recognisable within the text by this exact markup @[](name_of_the_placeholder).
Where name_of_the_placeholder is the value field taken from the GET placeholders operation.
Example of usable placeholder values: client_full_name, client_first_name, business_name, my_first_name.
"hello @[](client_full_name),\nThanks from the team at @[](business_name).\n@[](my_first_name)"
Template is made for negative reviews (ex from 1 to 2 stars on gmb)
Template is made for neutral reviews (ex 3 stars on gmb)
Template is made for positive reviews (ex from 4 to 5 stars on gmb)
Was this page helpful?